# -*- coding: utf-8 -*-
# Filename: readConfig.py
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@gmail.com
# Lisence: GPL-2.0 


import os
import ConfigParser

class readConfig:

	def __init__(self):
		self.f = os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf')
		self.p = ConfigParser.ConfigParser()
		
	def parseOption(self):
		configList = []
		itemList = ['lrcpath', 'savelrcpath','download','height','backroundcolor','fontcolor','highlightcolor','fontinfo','proxy','encoder','searchengine','nolrc','includecancel','titlebarinfo','completetag','filterlyrics','filterrule','filtercap','astrackname','minwidth','savetomediapath','searchmediapath','useuslt','lastposition','lrctagtype','lastshowmode','lastistop','remembershowmode','trayicon','trayiconnotify','transparency','opacity','rememberopacity','trayinfotime','multiengines','enablemultiengines','transeffect','autoembed','autoembedfromlocal','autoembedfromnet','editorsyncmode','linemargin','recursiondepth','scrolltype', 'editorstate']
		self.p.read(self.f)
		for i in itemList:
			a = self.p.get('option', i)
			configList.append(a)
		configList[3] = int(configList[3])
		configList[7] = unicode(configList[7], 'utf8')
		configList[19] = int(configList[19])
		configList[31] = int(configList[31])
		configList[33] = int(configList[33])
		configList[41] = int(configList[41])
		return configList
		
	def parseShortcut(self):
		configList=[]
		shortCutList=['fullscreen', 'osd', 'normal', 'horizontal', 'insert', 'cancel', 'editor', 'save', 'delay', 'advance', 'fastbar', 'refresh']
		self.p.read(self.f)
		for i in shortCutList:
			a = self.p.get('shortcuts',i)
			configList.append(a)
		return configList
	
	def parsePlayer(self):
		configList=[]
		shortCutList=['launchplayer', 'playerpath', 'autolaunch']
		self.p.read(self.f)
		for i in shortCutList:
			a=self.p.get('player',i)
			configList.append(a)
		return configList
		