# -*- coding: utf-8 -*-
# Filename: youdaoSettingUi.py
 
 
from PyQt4.QtCore import *
from PyQt4.QtGui import *
import ConfigParser
import os, sys

class youdaoSettingUi(QDialog):
	
	def __init__(self, parent = None, *args):
		QDialog.__init__(self, parent)
		self.setWindowTitle(_('Configure youdao engine'))
		self.setMinimumSize(QSize(260, 50))
		
		mainLayout = QVBoxLayout(None)
		self.label = QLabel(_('The most returned results:'), self)
		self.option = QComboBox(self)
		co = QStringList() << '1' << '2' << '3' << '4' << '5' << '6' << '7' << '8' << '9' << '10'
		self.option.addItems(co)
		
		buttonBox = QDialogButtonBox(self)
		okButton = QPushButton(QIcon('./icon/ok.png'), _('Ok'))
		cancelButton = QPushButton(QIcon('./icon/cancel.png'), _('Cancel'))
        	buttonBox.addButton(okButton, QDialogButtonBox.AcceptRole)
        	buttonBox.addButton(cancelButton, QDialogButtonBox.RejectRole)
        	
        	mainLayout.addWidget(self.label)
        	mainLayout.addWidget(self.option)
        	mainLayout.addWidget(buttonBox)
        	self.setLayout(mainLayout)
        	
        	self.p = ConfigParser.ConfigParser()
		self.p.read(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf'))
		self.st = str(self.p.get('engine', 'youdao_returnnum'))
		self.option.setCurrentIndex(int(self.st)-1)
        	
        	self.connect(buttonBox, SIGNAL('accepted()'), self.acceptAction)
        	self.connect(buttonBox, SIGNAL('rejected()'), self, SLOT('reject()'))
        
        def acceptAction(self):
		af = str(self.option.currentText().toUtf8())
		if(self.st != af):
			self.p.set('engine', 'youdao_returnnum', af)
			self.p.write(open(os.path.expanduser('~/.lrcShow-X/lrcShow-X.conf'), 'w'))
		self.accept()


# test code
def main(args):
	app = QApplication(args)
	win = youdaoSettingUi()
	win.show()
	sys.exit(app.exec_())

if(__name__  ==  "__main__"):
	main(sys.argv)